org.apache.http

## Class MessageConstraintException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.MessageConstraintException

- All Implemented Interfaces:
    Serializable

      public class MessageConstraintException
      extends IOException

  Signals a message constraint violation.
  Since:
    4.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageConstraintException(String message)` Creates a TruncatedChunkException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageConstraintException

          public MessageConstraintException(String message)

      Creates a TruncatedChunkException with the specified detail message.
      Parameters:
        `message` - The exception detail message

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.